### A free/open-source library for quantitative finance

Classes
ql/experimental/mcbasket/pathpayoff.hpp File Reference

Option payoff classes. More...

`#include <ql/math/matrix.hpp>`
`#include <ql/patterns/visitor.hpp>`
`#include <ql/termstructures/yieldtermstructure.hpp>`
`#include <ql/handle.hpp>`
`#include <functional>`
Include dependency graph for pathpayoff.hpp:

## Classes

class | PathPayoff
| Abstract base class for path-dependent option payoffs. More...

## Detailed Description

Option payoff classes.